Package org.apache.lucene.analysis.morph

# Class Viterbi.WrappedPositionArray<U extends Viterbi.Position>

java.lang.Object
org.apache.lucene.analysis.morph.Viterbi.WrappedPositionArray<U>

Enclosing class:
  `Viterbi<T extends Token,U extends Viterbi.Position>`

public static final class Viterbi.WrappedPositionArray<U extends Viterbi.Position> extends Object
Holds partial graph (array of positions) for calculating the minimum cost path

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `freeBefore(int pos)`
  `U`
  `get(int pos)`
  Get Position instance for this absolute position; this is allowed to be arbitrarily far "in the future" but cannot be before the last freeBefore.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### get

    public U get(int pos)
    Get Position instance for this absolute position; this is allowed to be arbitrarily far "in the future" but cannot be before the last freeBefore.

  - ### freeBefore

    public void freeBefore(int pos)